Subject: Please, help me - Unix network programming
From: [email-masked] (Jan Tomasek)

24 Dec 1998 18:28:12 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-2
Content-Transfer-Encoding: 7bit
To: "[email-masked]" <[email-masked]>

Hi,
I start reading of book "Unix network programming" written by
W. Richard Stevens. I try to complile examples from this book
but I get error - un.h is missing. And realy it is missing on 
my Cygwin system? So I transport it from my Linux system,
than compiler require next files ... completly I transport this
files:
	./linux/un.h -> ./sys/un.h
	./arpa/nameser.h
	./sys/bitypes.h
	./resolv.h
With it this I was able to compile basic libs and then compile
first example - DateTimeClinet, but not server - recv/sendmsg
is missing. I look at Debian/Linux man pages and I thing that I
can emulate recvmsg by recv. 

Thing which I want to ask is if this is "normal" or if I do
something wrong.

Of course, I can learn on my Linux, but I like Cygwin and I prefer
it.

Please, can someone help me to fix this problem(s)?
Thanks Jan
-- 
                            Jan Tomasek,          student FEL-CVUT
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            e-mail: [email-masked]
                            www: http://mujweb.cz/web/tomasek/   
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~H~

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".